DROP DATABASE IF EXISTS jquerydb;
CREATE DATABASE jquerydb DEFAULT CHARACTER SET cp932;
USE jquerydb;

CREATE TABLE user (
  id          INTEGER     PRIMARY KEY AUTO_INCREMENT,
  name        VARCHAR(30) NOT NULL UNIQUE,
  pass        BLOB        NOT NULL,
  date_create TIMESTAMP   DEFAULT CURRENT_TIMESTAMP
);

CREATE TABLE miniblog (
  id          INTEGER      PRIMARY KEY AUTO_INCREMENT,
  user_id     INTEGER      NOT NULL REFERENCES user(id),
  message     VARCHAR(200) NOT NULL,
  date_create TIMESTAMP    DEFAULT CURRENT_TIMESTAMP
);
